VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ViewAdapter Struct Reference

adapter for the IView interface More...

Inheritance diagram for ViewAdapter:

## Public Member Functions
bool | platformViewTypeSupported (PlatformViewType type) override
| check if the view supports the platform view type
bool | attach (void *parent, PlatformViewType parentViewType) override
| attach the view to the parent
bool | remove () override
| remove the view from its parent
void | setViewSize (IntRect frame, IntRect visible) override
| set the size and position of the view
void | setContentScaleFactor (double scaleFactor) override
| set the scale factor in use
void | setMouseEnabled (bool state) override
| enable or disable mouse handling for the view
void | takeFocus () override
| the view should take focus
void | looseFocus () override
| the view should loose focus
void | setTookFocusCallback (const TookFocusCallback &callback) override
| a callback the embedder sets on the view to get notified when the view took focus
Public Member Functions inherited from IView
virtual | ~IView () noexcept=default

## Additional Inherited Members
Public Types inherited from IView
using | TookFocusCallback = std::function< void()>

## Detailed Description

adapter for the IView interface

## Member Function Documentation

bool attach | ( | void * | parent,
|  | PlatformViewType | parentViewType
| ) |  |
| inline override virtual

attach the view to the parent

Implements IView.

void looseFocus | ( |  | ) |
| inline override virtual

the view should loose focus

Implements IView.

bool platformViewTypeSupported | ( | PlatformViewType | type | ) |
| inline override virtual

check if the view supports the platform view type

Implements IView.

bool remove | ( |  | ) |
| inline override virtual

remove the view from its parent

Implements IView.

void setContentScaleFactor | ( | double | scaleFactor | ) |
| inline override virtual

set the scale factor in use

Implements IView.

void setMouseEnabled | ( | bool | state | ) |
| inline override virtual

enable or disable mouse handling for the view

Implements IView.

void setTookFocusCallback | ( | const TookFocusCallback & | callback | ) |
| inline override virtual

a callback the embedder sets on the view to get notified when the view took focus

Implements IView.

void setViewSize | ( | IntRect | frame,
|  | IntRect | visible
| ) |  |
| inline override virtual

set the size and position of the view

the coordinate system for the parameters used are system native, this means on Windows the scale factor is already applied to the coordinates and on macOS they are not (as with all NSViews)

the visible rectangle is the rectangle clipped to all its parent views while the frame rectangle is the full size of the view if it would not be clipped. this way it is possible to support views inside of scroll views and the like. See the examples how this is done.

Implements IView.

void takeFocus | ( |  | ) |
| inline override virtual

the view should take focus

Implements IView.

The documentation for this struct was generated from the following file:

- iexternalview.h